// -*- coding: utf-8 -*- 
//  JDV X-1 Accretion disk
// Made by JackDole : 2015.11.02 14:17:40
// Adapted from 'DoctorOfSpace' Gargantua accretion disk.
// Script edited by 'DoctorOfSpace'

Planet "Accretion disk 1B"
{
	ParentBody  "JDV X-1 AD"	// Change this value to your black hole.
	Class		"Desert"
	Radius          1382400		// Change this value to the desired radius of your accretion disk.
	Oblateness      0.9825
	RotationPeriod  0.348205235
	Obliquity	136.4152	// Change this value to the same value as your black hole.
	EqAscendNode    137.8997	// Change this value to the same value as your black hole.
	

	Brightness      3.2333333

	Surface
	{
		DiffMap		"AccretionDisc.*"
		GlowMap		"AccretionDisc07.*"
		GlowMode	"Thermal"
		GlowColor	(1.0 0.5 0.2)
		GlowBright	10.5
	}

	NoRings		true
	NoClouds	true
	NoOcean		true
	NoLava		true
	NoAtmosphere	false
	NoAurora	true
	NoCometTail	true
	
	Atmosphere
	{
		Model          "Venus"
		Height          1000
		Density         5362.099
		Pressure        1000000
		Greenhouse      500
		Bright          6.507936
		Opacity         0.5634921
		SkyLight        3.412699
	}

	Orbit
	{
		Type           "STATIC"
		Eccentricity    0
		Inclination     136.9152	// Change this value to the same value as your black hole.
		AscendingNode   137.8997	// Change this value to the same value as your black hole.
		ArgOfPericenter 0
		MeanAnomaly     0
		RefPlane       "Ecliptic"
	}
}

Star	"Accretion disk 2B"
{
	ParentBody     "JDV X-1 AD"
	Class	       "M0 V"
	Luminosity      27.5093
	MassSol         2.577983
	Radius          423069.7
	Teff            2002.141

	Age             12.87

	InertiaMoment   0.05379425

	Oblateness      0.92

	RotationPeriod  0.3482051
	Obliquity       137.4152
	EqAscendNode    137.8997

	AlbedoBond      0.3
	AlbedoGeom      0.36
	Brightness      10
	Color          (1.000 0.431 0.130)

	Surface
	{
		DiffMap        "AccretionDisc.*"
		DiffTileSize    256
		DiffTileBorder  1
		BumpTileSize    256
		BumpTileBorder  1
		GlowMap        "AccretionDisc07.*"
		GlowTileSize    256
		GlowTileBorder  1
		BumpHeight      -1.#IND
		BumpOffset      -1.#IND
		SpecBrightWater 0
		SpecBrightIce   0
		SpecularPower   54.99999
		Hapke           1
		SpotBright      4
		SpotWidth       0.05
		DayAmbient      1
	}

	NoClouds        true

	NoOcean         true

	NoLava          true

	Atmosphere
	{
		Model          "Sun"
		Height          105.5496
		Density         1e-009
		Pressure        1
		Bright          10
		Opacity         0
		SkyLight        0
	}

	NoAurora        true

	NoRings         true

	Corona
	{
		Radius      6332674
		Period      0.03409237
		Brightness  2.782559
		RayDensity  0.5471359
		RayCurv     46.41589
	}

	NoCometTail     true

	Orbit
	{
		Type           "STATIC"
		SemiMajorAxis   0.005395854
		Period          0.00273791
		Eccentricity    0
		Inclination     136.9152
		AscendingNode   137.8997
		ArgOfPericenter 0
		MeanAnomaly     0
		RefPlane       "Ecliptic"
	}
}

